@extends('layouts.default')

@section('styles')
    <style>
        .has-feedback .form-control {
            padding-right: 0px!important;
        }
    </style>
@endsection

@section('scripts')
    <script>
        var mantener_detalle = true;//flag para que la primera vez que carge la pagina y se ejecute el evento select de #oc_id no borre el detalle de recepción
        var jsonData = {};
        if(localStorage.getItem('ingreso') != null) {
            jsonData = JSON.parse(localStorage.getItem('ingreso'));
        }

        poblar_ingreso(jsonData);

        $(document).ready(function(){
            setup_select2('#oc_id', "{{ url('ingresos/select_oc') }}", 'Seleccionar OC');

            $(document).on('click', '.btn-agregar', function() {
                agregar_mercaderia($(this));
            });

            $(document).on('click', '.btn-eliminar', function() {
                eliminar_mercaderia($(this));
            });

			$(document).on('click', '#barra-impresora', function() {
                //Actualizamos variable jsonData
				
                var id_mp          = $('#id_imprimir').val();
                var codigoProducto = $("#codigoProducto" + id_mp).html();
                var nombreProducto = $('#nombreProducto' + id_mp).html();
				var value          = $('#LOTE'           + id_mp).val();
				var valueLote      = codigoProducto+'/'+value;
				var btype          = 'code128';

//				JsBarcode("#itf", value.toString(), {format: "CODE128", displayValue: false});

				/* Lee Codigo */
                $.ajax({
                    url: "{{ url('ingresos/leeProducto') }}",
                    data: {codigo : codigoProducto},
                    type: 'get',
                    success: function ( response ) {
					   var codigo         = response.producto.codigo;

                       $('#codigoProductoPantalla2').html(codigoProducto);
                       $('#nombreProductoPantalla2').html(nombreProducto);

                       const img = document.querySelector('img#itf');
                       $('#pdf_imprimir').html('');

                       var doc = new jsPDF("l", "mm", [70, 30]);
                       doc.setFontSize(8);
                       doc.addImage(img.src, 'JPEG', 5, 2, 60, 15);
                       doc.text(5, 20, 'Código: '   + codigo);
                       doc.text(5, 23, 'Producto: ' + nombreProducto);
                       doc.text(5, 26, 'Lote:  '    + valueLote);
                       doc.autoPrint();

                       $('#pdf_imprimir').html('<embed type="application/pdf" src="'+doc.output('datauristring')+'" id="pdfDocument" width="100%" height="100%" />');
                    }
                }, 'json');
		    });

            $(document).on('click', 'button[name*="IMPRIMIR"]', function() {
 
                //Actualizamos variable jsonData
				
                var itemString     = $(this).attr("name");
                var id_mp          = itemString.replace("IMPRIMIR_", "");
                var codigoProducto = $("#codigoProducto" + id_mp).html();
                var nombreProducto = $('#nombreProducto' + id_mp).html();
				var value          = $('#LOTE'           + id_mp).val();

				/* Lee Codigo */
                $.ajax({
                    url: "{{ url('ingresos/leeProducto') }}",
                    data: {codigo : codigoProducto},
                    type: 'get',
                    success: function ( response ) {
					   var codigo         = response.producto.codigo;
                       /* Lee Nreguist */
					   var valueLote      = codigoProducto+'/'+value;
                       var btype          = 'code128';

                       JsBarcode("#itf", valueLote.toString(), {format: "CODE128", displayValue: false});

                       $('#nreguist2').html(codigoProducto);
                       $('#codigoProductoPantalla2').html(codigo);
                       $('#nombreProductoPantalla2').html(nombreProducto);

                       $('#id_imprimir').val(id_mp);

                       const img = document.querySelector('img#itf');
					    
                       var doc = new jsPDF("l", "mm", [70, 30]);
                       doc.setFontSize(8);
                       doc.addImage(img.src, 'JPEG', 5, 2, 60, 15);
                       doc.text(5, 20, 'Código: '   + codigo);
                       doc.text(5, 23, 'Producto: ' + nombreProducto);
                       doc.text(5, 26, 'Lote:  '    + valueLote);
                       doc.autoPrint();
                       $('#pdf_imprimir').html('<embed type="application/pdf" src="'+doc.output('datauristring')+'" id="pdfDocument" width="100%" height="100%" />');
                       $('#codigo_barras_modal').modal('show');
                    }
                }, 'json');
		    });

            $(document).on('click', '.btn-adjuntar', function() {
                $(this).parents('td').find('input[type="file"]').trigger('click');
            });

            $(document).on('click', '.btn-eliminar-archivo', function() {
                $(this).parents('td').find('input[type="file"]').val('');
                $(this).parents('td').find('.file-name').val('');
                $(this).parents('td').find('.file-wrap').addClass('hide');
                $(this).parents('td').find('.btn-adjuntar').removeClass('hide');
            });

            $(document).on('change', 'input[name^="ARCHIVO"]', function() {
                $(this).parents('td').find('.btn-adjuntar').addClass('hide');
                $(this).parents('td').find('.file-wrap').removeClass('hide');
                $(this).parents('td').find('.file-name').attr('title', $(this)[0].files[0].name);
            });

            $('.collapse').on('hide.bs.collapse', function() {
                var id = $(this).attr('id');
                $('[aria-controls=' + id + ']').find('i').eq(0).removeClass('fa-minus').addClass('fa-plus');
            });

            $('.collapse').on('show.bs.collapse', function() {
                var id = $(this).attr('id');
                $('[aria-controls=' + id + ']').find('i').eq(0).removeClass('fa-plus').addClass('fa-minus');
            });

            $('#oc_id').on('select2:select', function() {
                if(!mantener_detalle) {
                    $('.item-det-recepcion').each(function(){
                        $(this).remove();
                    });
                    $('#sin_mercaderia').removeClass('hide');
                    delete jsonData.mercaderias;
                    localStorage.setItem('ingresos', JSON.stringify(jsonData));
                }
                var id = $(this).select2('data')[0].id;
                $.get('{{ url('ingresos/obtener_oc') }}/' + id, function(data) {
                    $('#rut').val(data.oc.RUTPROV);
                    $('#nom_prov').val(data.oc.RAZSOC);
                    $('#fecha').val(data.oc.FECHAOC);
                    $('#neto').val(currency(data.oc.TOTNETO));
                    $('#iva').val(currency(data.oc.TOTIVA));
                    $('#total').val(currency(data.oc.TOTAL));
                    $('#det_oc_content').html('');
                    $.each(data.doc, function(index, value) {
                        template = '<tr class="item-det-oc" data-numrecor="' + value.NUMRECOR + '" data-ncodart="' + value.NCODART + '" data-preciounitoc="' + parseInt(value.PRECUNIT) + '" data-seqocdet="' + value.SEQOCDET + '">' +
                            '<td>' + value.NCODART + '</td>' +
                            '<td>' + value.DESCRIP + '</td>' +
                            '<td>' + currency(parseFloat(value.PRECUNIT).toFixed(2)) + '</td>' +
                            '<td>' + (parseInt(value.CANTIDAD) - parseInt(value.CANTRECI)) + '</td>' +
                            '<td><button type="button" class="btn btn-success btn-agregar" title="Total">Total</button> <button type="button" class="btn btn-warning btn-agregar" title="Parcial">Parcial</button></td>' +
                        '</tr>';
                        $('#det_oc_content').append(template);
                        validar_ingreso_mercaderia(value.SEQOCDET, (parseInt(value.CANTIDAD) - parseInt(value.CANTRECI)));
                    });
                    //Almaceno id oc en localStorage
                    jsonData.numreg_oc = data.oc.NUMREG;
                    jsonData.numoc = data.oc.NUMOC;
                    localStorage.setItem('ingreso', JSON.stringify(jsonData));
                }, 'json');
                mantener_detalle = false;
            });

            $('#num_guia').on('change', function() {
                //Actualizamos variable jsonData
                jsonData.num_guia = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('ingreso', JSON.stringify(jsonData));
            });

            $(document).on('keyup', "input[name^='CANTRECI']", function() {
                //Actualizamos variable jsonData
                var id = $(this).parents('tr').eq(0).data('index');
                var index_arr = jsonData.mercaderias.map(function(d) {return d['id']}).indexOf(id);
                jsonData.mercaderias[index_arr].cantreci = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('ingreso', JSON.stringify(jsonData));
                var cant_restante = jsonData.mercaderias[index_arr].cantres;
                var seqocdet = jsonData.mercaderias[index_arr].seqocdet;
                validar_ingreso_mercaderia(seqocdet, cant_restante);
            });

            $(document).on('keyup', "input[name^='LOTE']", function() {

                //Actualizamos variable jsonData
                var id = $(this).parents('tr').eq(0).data('index');
                var index_arr = jsonData.mercaderias.map(function(d) {return d['id']}).indexOf(id);
                jsonData.mercaderias[index_arr].lote = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('ingreso', JSON.stringify(jsonData));
                var cant_restante = jsonData.mercaderias[index_arr].cantres;
                var lote          = jsonData.mercaderias[index_arr].lote;
                var ncodart       = jsonData.mercaderias[index_arr].ncodart;
                var cantidad      = jsonData.mercaderias[index_arr].cantreci;
                var seqocdet      = jsonData.mercaderias[index_arr].seqocdet;
                var num_guia      = jsonData.num_guia;

				/*
                $.ajax({
                    url: "{{ url('ingresos/agregar_lote') }}",
                    data: {ncodart : ncodart, lote : lote, cantidad : cantidad, numregoc : seqocdet, num_guia : num_guia},
                    type: 'post',
                    success: function ( response ) {
                        jsonData = {};
                        localStorage.removeItem('ingreso');
                        success_notification(response);
                        window.location = "{{ url('ingresos') }}";
                    }
                }).fail(function(response) {
                    if(response.status != 409) {
                        show_form_errors(response, $('#mercaderias'));
                    } else {
                        error_notification(response);
                    }
                });
				*/
            });

            $(document).on('keyup', "input[name^='PRECIOUNIT']", function() {
                //Actualizamos variable jsonData
                var id = $(this).parents('tr').eq(0).data('index');
                var index_arr = jsonData.mercaderias.map(function(d) {return d['id']}).indexOf(id);
                jsonData.mercaderias[index_arr].preciounit = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('ingreso', JSON.stringify(jsonData));
            });

            $(document).on('keyup', "input[name^='LOTE']", function() {
                //Actualizamos variable jsonData
                var id = $(this).parents('tr').eq(0).data('index');
                var index_arr = jsonData.mercaderias.map(function(d) {return d['id']}).indexOf(id);
                jsonData.mercaderias[index_arr].lote = $(this).val();
                //Almacena nombre producto en localStorage
                localStorage.setItem('ingreso', JSON.stringify(jsonData));
            });
			/*
            $(document).on('select2:select', "select[name^='ENVASE']", function() {
                //Actualizamos variable jsonData
                var id = $(this).parents('tr').eq(0).data('index');
                var index_arr = jsonData.mercaderias.map(function(d) {return d['id']}).indexOf(id);
                jsonData.mercaderias[index_arr].id_envase = $(this).select2('data')[0].id;
                jsonData.mercaderias[index_arr].nom_envase = $(this).select2('data')[0].text;
                //Almacena nombre producto en localStorage
                localStorage.setItem('ingreso', JSON.stringify(jsonData));
            });
			*/

            $('#limpiar_ingreso').on('click', function() {
                localStorage.removeItem('ingreso');
                window.location = "{{ url('ingresos') }}";
            });

            $('#form_guardar').on('submit', function() {
                clean_form_errors($('#mercaderias'));
                var formData = new FormData();
                formData.append('datos', JSON.stringify(jsonData));
                $('input[type="file"][name^="ARCHIVO"]').each(function() {
                   formData.append($(this).attr('name'), $(this)[0].files[0]);
                });

                $.ajax({
                    url: "{{ url('ingresos/agregar') }}",
                    data: formData,
                    processData: false,
                    contentType: false,
                    type: 'POST',
                    dataType: 'json',
                    success: function ( response ) {
                        jsonData = {};
                        localStorage.removeItem('ingreso');
                        success_notification(response);
                        window.location = "{{ url('ingresos') }}";
                    }
                }).fail(function(response) {
                    if(response.status != 409) {
                        show_form_errors(response, $('#mercaderias'));
                    } else {
                        error_notification(response);
                    }
                });
                return false;
            });
        });

        //pobla los campos desde jsonData en caso de que hayan datos guardados en localStorage

        function printDocument(documentId) { 
		    var doc = document.getElementById(documentId); 
			//Wait until PDF is ready to print 
			if (typeof doc.print === 'undefined') { 
			   setTimeout(function(){
			      printDocument(documentId);
			   }, 1000); 
			} 
			else 
			{ 
			   doc.print(); 
		    } 
		} 

        //pobla los campos desde jsonData en caso de que hayan datos guardados en localStorage
        function poblar_ingreso(data) {
            if(!$.isEmptyObject(data)) {
                if(data.hasOwnProperty('numoc')) {
                    $.get('{{ url("ingresos/select_oc") }}', {q:data.numoc}, function(result) {
                        var option = '<option value="' + result.data[0].id + '">' + result.data[0].text + '</option>';
                        $('#oc_id').html(option).trigger('change');
                        $('#oc_id').trigger({
                            type: 'select2:select',
                            params: {
                                data: result.data[0]
                            }
                        });
                    }, 'json');
                }
                if(data.hasOwnProperty('num_guia')) {
                    $('#num_guia').val(data.num_guia);
                }
                if(data.hasOwnProperty('mercaderias') && data.mercaderias.length > 0) {
                    $.each(data.mercaderias, function(i, v) {
                        agregar_item_jsonData(v);
                    });
                    sortTable(0, 'tabla_detalle_recepcion');
                }
            }
        }

        function agregar_mercaderia(elem) {

            $('#sin_mercaderia').addClass('hide');
            var clon = elem.parents('tr').eq(0).clone();
            var next_index = 1;
            if(jsonData.hasOwnProperty('mercaderias')) {
                var index_arr_mp = jsonData.mercaderias.map(function(d) {return d['id']});
                next_index = Math.max.apply(null, index_arr_mp) + 1;
            }
            var cant_restante = parseInt(clon.find('td').eq(3).text());
            var cant_recibida = elem.text() == 'Total' ? cant_restante : 0;

            var codigo        = clon.find('td').eq(0).text();
			var producto      = clon.find('td').eq(1).text();			
            var precio        = clon.find('td').eq(2).text();

            var precio        = precio.replace("$", "");
            var precio        = precio.replace(".", "");
            var precio        = precio.replace(",00", "");
            var precio        = parseInt(precio);

            clon.find('td').eq(0).remove();
            clon.find('td').eq(0).remove();
            clon.find('td').eq(0).remove();
            clon.find('td').eq(0).remove();
            clon.find('td').eq(0).remove();
			
            clon.removeClass('item-det-oc').addClass('item-det-recepcion').attr('data-index', next_index);

            clon.append('<td><div id="codigoProducto' + next_index + '">' + codigo   + '</div></td>');
            clon.append('<td><div id="nombreProducto' + next_index + '">' + producto + '</div></td>');

            clon.append('<td><input type="text" class="form-control" name="PRECIOUNIT.' + next_index + '" value='+precio+'></td>');
            clon.append('<td><input type="text" class="form-control" name="CANTRECI.' + next_index + '" value="' + cant_recibida + '"></td>');
            clon.append('<td><input type="text" class="form-control" name="LOTE.' + next_index + '" id="LOTE' + next_index + '" size="8" maxlength="8"></td>');
            clon.append('<td><input type="file" name="ARCHIVO.' + next_index + '" class="hide"><button type="button" class="btn btn-success btn-adjuntar" title="Adjuntar archivo"><i class="fa fa-upload"></i></button><div class="input-group file-wrap hide"><i class="fa fa-file form-control file-name"></i><span class="input-group-btn"><button class="btn btn-danger btn-eliminar-archivo" title="Eliminar archivo"><i class="fa fa-close"></i></button></span></div></td>');
            clon.append('<td><button type="button" class="btn btn-danger  btn-eliminar" title="Eliminar mercadería"><i class="fa fa-trash"></i></button></td>');
            clon.append('<td><button type="button" name="IMPRIMIR_' + next_index + '" class="btn btn-primary btn-imprimir" title="Imprimir Barra"><i class="fa fa-barcode"></i></button></td>');

            clon.appendTo('#det_recepcion');

//            setup_select2('#envase_' + next_index, "{{  url('envases/select') }}", 'Buscar envase');

            if(jsonData.hasOwnProperty('mercaderias') == false) {
                jsonData.mercaderias = [];
            }
            jsonData.mercaderias.push({
                id: next_index,
                numrecor: clon.data('numrecor'),
                ncodart: clon.data('ncodart'),
                descrip: clon.find('td').eq(1).text(),
                cantres: cant_restante,
                preciounitoc: clon.data('preciounitoc'),
                preciounit: precio,
                seqocdet: clon.data('seqocdet'),
                cantreci: cant_recibida + "",
                lote: ''/*,
                id_envase: '',
                nom_envase: ''*/
            });
            localStorage.setItem('ingreso', JSON.stringify(jsonData));
            validar_ingreso_mercaderia(clon.data('seqocdet'), cant_restante);
            sortTable(0, 'tabla_detalle_recepcion');
        }

        function agregar_item_jsonData(item) {
            alert('222');
            var template = '<tr class="item-det-recepcion" data-numrecor="' + item.numrecor + '" data-ncodart="' + item.ncodart + '" data-index="' + item.id + '"  data-seqocdet="' + item.seqocdet + '">' +
                '<td><div id="codigoProducto' + item.id + '">' + item.ncodart + '</div></td>' +
                '<td><div id="nombreProducto' + item.id + '">' + item.descrip + '</div></td>' +
                '<td><input type="text" class="form-control" name="PRECIOUNIT.' + item.id + '" value="' + item.preciounit + '"></td>' +
                '<td><input type="text" class="form-control" name="CANTRECI.' + item.id + '" value="' + item.cantreci + '"></td>' +
//                '<td><select id="envase_' + item.id + '" name="ENVASE.' + item.id + '"></select></td>' +
                '<td><input type="text" class="form-control" name="LOTE.' + item.id + '" id="LOTE' + item.id + '" value="' + item.lote + '" size="8" maxlength="8"></td>' +
                '<td><input type="file" name="ARCHIVO.' + item.id + '" class="hide"><button type="button" class="btn btn-success btn-adjuntar" title="Adjuntar archivo"><i class="fa fa-upload"></i></button><div class="input-group file-wrap hide"><i class="fa fa-file form-control file-name"></i><span class="input-group-btn"><button class="btn btn-danger btn-eliminar-archivo" title="Eliminar archivo"><i class="fa fa-close"></i></button></span></div></td>' +
                '<td><button type="button" class="btn btn-danger  btn-eliminar" title="Eliminar mercadería"><i class="fa fa-trash"></i></button></td>' +
                '<td><button type="button" name="IMPRIMIR_' + item.id + '" class="btn btn-primary btn-imprimir" title="Imprimir Barra"><i class="fa fa-barcode"></i></button></td>' +
                '</tr>';
            $('#sin_mercaderia').addClass('hide');
            $(template).appendTo('#det_recepcion');
			/*
            setup_select2('#envase_' + item.id, "{{  url('envases/select') }}", 'Buscar envase');
            if(item.envase != '') {
                $('#envase_' + item.id).html('<option value="' + item.id_envase + '">' + item.nom_envase + '</option>');
                $('#envase_' + item.id).trigger('change');
                $('#envase_' + item.id).trigger({
                    type: 'select2:select',
                    params: {
                        data: {id: item.id_envase, text:item.nom_envase}
                    }
                });
            }
			*/
        }

        function eliminar_mercaderia(elem) {
            var id_mp = elem.parents('tr').eq(0).data('index');
            var index_arr_mp = jsonData.mercaderias.map(function(d) {return d['id']}).indexOf(id_mp);
            var seqocdet = jsonData.mercaderias[index_arr_mp].seqocdet;
            var cant_restante = jsonData.mercaderias[index_arr_mp].cantres;
            jsonData.mercaderias.splice(index_arr_mp, 1);
            elem.parents('tr').eq(0).remove();
            if($('.item-det-recepcion').length == 0){
                $('#sin_mercaderia').removeClass('hide');
                delete jsonData.mercaderias;
            }
            localStorage.setItem('ingreso', JSON.stringify(jsonData));
            validar_ingreso_mercaderia(seqocdet, cant_restante);
        }

        function validar_ingreso_mercaderia(seqocdet, cant_restante) {
            var cant_recibida_total = 0;
            var btn_total = $('.item-det-oc[data-seqocdet="' + seqocdet + '"]').find('td').eq(4).find('button').eq(0);
            var btn_parcial = $('.item-det-oc[data-seqocdet="' + seqocdet + '"]').find('td').eq(4).find('button').eq(1);
            if(jsonData.hasOwnProperty('mercaderias')) {
                cant_recibida_total = jsonData.mercaderias.map(function(d) {return d['seqocdet'] == seqocdet ? d['cantreci'] : 0;}).reduce(function(a,b) {return parseInt(a) + parseInt(b);}, 0);
            }
            if(cant_recibida_total >= cant_restante) {
                btn_total.attr('disabled', true);
                btn_parcial.attr('disabled', true);
            } else if(cant_recibida_total == 0) {
                btn_total.removeAttr('disabled');
                btn_parcial.removeAttr('disabled');
            } else if(cant_recibida_total < cant_restante) {
                btn_total.attr('disabled', true);
                btn_parcial.removeAttr('disabled');
            }

            if(jsonData.hasOwnProperty('mercaderias')) {
                if(jsonData.mercaderias.filter(function(elem) { return (elem['seqocdet'] == seqocdet && elem['cantreci'] == 0); }).length > 0) {
                    btn_total.attr('disabled', true);
                    btn_parcial.attr('disabled', true);
                }
            }
        }
    </script>
@endsection

@section('content')
    <div class="product-content product-wrap clearfix product-deatil">
        <div id="mercaderias">
            <div class="row">
                <div class="col-sm-12">
                    <h1 class="page-title">
                        Ingreso de Mercaderías
                    </h1>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel panel-primary">
                        <div class="panel-heading" style="overflow: auto;">
                            <h3 class="panel-title pull-left">Orden de Compra a recepcionar</h3>
                            <a role="button" data-toggle="collapse"  href="#collapseOne" aria-expanded="true" aria-controls="collapseOne" class="pull-right">
                                <i class="fa fa-minus txt-color-white"></i>
                            </a>
                        </div>
                        <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">
                            <div class="panel-body">
                                <div class="row">
                                    <div class="col-sm-12">
                                        <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                            <label class="control-label" for="oc_id">Nº Orden de Compra</label>
                                            {{ Form::select('NUMREG', [], NULL, ['id' => 'oc_id']) }}
                                        </div>
                                        <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                            <label for="rut" class="control-label">Rut Proveedor</label>
                                            {{ Form::text('rut', NULL, ['id' => 'rut', 'class' => 'form-control', 'disabled' => true]) }}
                                        </div>
                                        <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                            <label for="rut" class="control-label">Nombre Proveedor</label>
                                            {{ Form::text('nom_prov', NULL, ['id' => 'nom_prov', 'class' => 'form-control', 'disabled' => true]) }}
                                        </div>
                                        <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                            <label for="rut" class="control-label">Fecha</label>
                                            {{ Form::text('fecha', NULL, ['id' => 'fecha', 'class' => 'form-control', 'disabled' => true]) }}
                                        </div>
                                        <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                            <label for="rut" class="control-label">Valor NETO</label>
                                            {{ Form::text('neto', NULL, ['id' => 'neto', 'class' => 'form-control', 'disabled' => true]) }}
                                        </div>
                                        <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                            <label for="rut" class="control-label">Valor IVA</label>
                                            {{ Form::text('iva', NULL, ['id' => 'iva', 'class' => 'form-control', 'disabled' => true]) }}
                                        </div>
                                        <div class="form-group col-xs-12 col-sm-6 col-md-4 col-lg-3">
                                            <label for="rut" class="control-label">Valor Total</label>
                                            {{ Form::text('total', NULL, ['id' => 'total', 'class' => 'form-control', 'disabled' => true]) }}
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <label for="">Detalle Orden de Compra</label>
                                        <table class="table table-hover">
                                            <thead>
                                            <tr>
                                                <th>Código</th>
                                                <th>Nombre</th>
                                                <th>Precio Unit.</th>
                                                <th>Unidades Restantes</th>
                                                <th>Agregar mercadería</th>
                                            </tr>
                                            </thead>
                                            <tbody id="det_oc_content">
                                            <tr>
                                                <td colspan="5" class="text-center">Sin detalle</td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-12">
                    <div class="panel panel-success">
                        <div class="panel-heading" style="overflow: auto;">
                            <h3 class="panel-title pull-left">Guía Recepción</h3>
                            <a role="button" data-toggle="collapse"  href="#collapseTwo" aria-expanded="true" aria-controls="collapseTwo" class="pull-right">
                                <i class="fa fa-minus txt-color-green"></i>
                            </a>
                        </div>
                        <div id="collapseTwo" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingTwo">
                            <div class="panel-body">
                                <div class="row">
                                    <div class="form-group col-sm-6">
                                        <label class="control-label" for="num_guia">Nº Guía de Recepción</label>
                                        {{ Form::text('NUMGUIA', NULL, ['class' => 'form-control', 'id' => 'num_guia']) }}
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-sm-12">
                                        <label for="">Detalle Recepción</label>
                                        <table id="tabla_detalle_recepcion" class="table table-hover">
                                            <thead>
                                            <tr>
                                                <th width="10%">Código</th>
                                                <th width="30%">Nombre</th>
                                                <th width="10%">Precio Unit.</th>
                                                <th width="10%">Unidades Recibidas</th>
<!--                                                <th width="15%">Capacidad envase</th> -->
                                                <th width="20%">Lote</th>
                                                <th width="10%">Archivo</th>
                                                <th width="5%">Acción</th>
                                                <th width="5%">imprimir</th>
                                            </tr>
                                            </thead>
                                            <tbody id="det_recepcion">
                                            <tr>
                                                <td id="sin_mercaderia" colspan="7" class="text-center">No se han agregado mercaderías</td>
                                            </tr>
                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="row pull-right">
            <div class="col-sm-12">
                <form id="form_guardar">
                    <button type="submit" class="btn btn-success">Guardar</button>
                    <button type="button" class="btn btn-danger" id="limpiar_ingreso">Cancelar</button>
                </form>
            </div>
        </div>
    </div>


        <div class="modal fade warning" id="codigo_barras_modal" role="dialog" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" tabindex="-1" data-dismiss="modal" aria-hidden="true">
                            ×
                        </button>
                        <h4 class="modal-title">Imprimir Etiqueta</h4>
                    </div>

                    <form method="POST" class="form-horizontal" id="codigo_barra_form">
                        <input type="hidden" id="id_imprimir" name="id">
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div id='imprime' class="form-group col-sm-12">
										 <div id='miFoto' style='display:none;'>
                                              <img id='itf'>
										 </div>
										 <div class="row">
                                              <div class="col-md-2" style='display:none;'>
                                                   Código:
                                              </div>
                                              <div class="col-md-7" style='display:none;'>
                                                   <div id='codigoProductoPantalla2'></div>
                                              </div>
										 </div>
										 <div class="row">
                                              <div class="col-md-2" style='display:none;'>
                                                   Producto:
                                              </div>
                                              <div class="col-md-7" style='display:none;'>
                                                   <div id='nombreProductoPantalla2'></div>
                                              </div>
										 </div>
                                    </div>
                                    <div id='pdf_imprimir' class="form-group col-sm-12">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                            <button type="button" class="btn btn-danger" id='barra-impresora'>Imprimir</button>
                        </div>
                    </form>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div>


@endsection